{-# LANGUAGE ForeignFunctionInterface #-}
module HDF5.Library (open,
                     close)
where

import Foreign

import HDF5.Base
import qualified HDF5.Error as H5E

foreign import ccall unsafe "hdf5.h H5open"
  open_ :: IO Herr

open :: IO ()
open =
  H5E.throwIfErr_ "opening HDF5 library" open_

foreign import ccall unsafe "hdf5.h H5close"
  close_ :: IO Herr

close :: IO ()
close =
  H5E.throwIfErr_ "closing HDF5 library" close_
